/*Ex 1 drums*/

.drumsplayer {
  padding: 0;
  text-align: center;
}

.vintageshadow {
  width: fit-content;
  display: flex;
  background-image: url(media/123.jpg);
  background-repeat: repeat;
  padding-right: 2%;
  padding-bottom: 2%;
  margin: 5% auto;
}

.mycard {
  font-family: "Press Start 2P", sans-serif;
  font-size: 15px;
  padding: 0;
  background-color: #d3f6f3;
  width: fit-content;
  border: 1px solid #251f44;
  margin-left: -2%;
  margin-top: -2%;
}
.falsetab {
  background-color: #fee9b2;
  border-bottom: 1px solid #251f44;
}
.falseclose {
  background-color: #fbd1b7;
  border-left: 1px solid #251f44;
  padding: 0 3px;
}

.instructions {
  margin: 1rem;
  margin-bottom: 0;
}

.keys {
  justify-content: center;
  font-weight: 200;
  padding: 1rem;
}

.key {
  background-color: #f9fce1;
  border: 2px solid #251f44;
  border-top: 3px solid white;
  border-left: 3px solid white;
  color: #fff;
  margin: 1rem;
  padding: 3px;
  text-align: center;
  transition: all 0.07s ease;
  width: 2.5rem;
}

.playing {
  transform: scale(1.1);
  background-color: #fbd1b7;
  border-top: 3px solid #fee9b2;
  border-left: 3px solid #fee9b2;
}

.sound {
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  color: #251f44;
}
/*Ex 2 Analogic clock*/
.clock {
  background: #018ded url(https://unsplash.it/1500/1000?image=881&blur=5);
  background-size: cover;
  width: 30rem;
  height: 30rem;
  border: 20px solid white;
  border-radius: 50%;
  margin: 50px 50px;
  position: relative;
  padding: 2rem;
  box-shadow: 0 0 0 4px rgba(0, 0, 0, 0.1), inset 0 0 0 3px #efefef,
    inset 0 0 10px black, 0 0 10px rgba(0, 0, 0, 0.2);
}

.clock-face {
  position: relative;
  width: 100%;
  height: 100%;
  transform: translateY(-3px); /* account for the height of the clock hands */
}

.twelve {
  position: relative;
  left: 0;
  top: -6%;
}

.three {
  position: relative;
  left: 50%;
  top: 40%;
}

.six {
  position: relative;
  left: 0;
  top: 80%;
}

.nine {
  position: relative;
  left: -50%;
  top: 20%;
}

.hand {
  width: 50%;
  height: 6px;
  background: black;
  position: absolute;
  top: 50%;

  transform-origin: 100%;
  transform: rotate(90deg);
}

.hour-hand {
  width: 30%;
  margin: 0 20%;
  /*transition: all 3600s ease;*/
}

.min-hand {
}

.second-hand {
  height: 3px;
  transition: all 0.5s cubic-bezier(0.82, 0.29, 0, 1.7);
}

/*Ex 3 css*/

:root {
  --base: #fbd1b7;
  --spacing: 10px;
  --blur: 10px;
}

img {
  padding: var(--spacing);
  background: var(--base);
  filter: blur(var(--blur));
  width: 50%;
  margin-bottom: 30px;
}

.hl {
  color: var(--base);
}

.controls {
  margin-bottom: 50px;
}

input {
  width: 100px;
}

/*exercise 5*/

.panels {
  min-height: 75vh;
  overflow: hidden;
  display: flex;
}

.panel {
  background: #6b0f9c;
  box-shadow: inset 0 0 0 5px rgba(255, 255, 255, 0.1);
  color: white;
  text-align: center;
  align-items: center;
  /* Safari transitionend event.propertyName === flex */
  /* Chrome + FF transitionend event.propertyName === flex-grow */
  transition: font-size 0.7s cubic-bezier(0.61, -0.19, 0.7, -0.11),
    flex 0.7s cubic-bezier(0.61, -0.19, 0.7, -0.11), background 0.2s;
  background-size: cover;
  background-position: center;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.panel1 {
  background-image: url(media/IMG_0999.JPG);
}
.panel2 {
  background-image: url(media/6db810af-8675-44c9-b046-e8ba755fe694.jpg);
}
.panel3 {
  background-image: url(media/A31FF3F8-5DC3-4233-987F-34F645028BCF.jpg);
}

/* Flex Children */
.panel > * {
  margin: 0;
  width: 33%;
  transition: transform 0.5s;
  flex: 1 0 auto;
  justify-content: center;
  display: flex;
  align-items: center;
}

.panel > *:first-child {
  transform: translateY(-100%);
}
.panel.open-active > *:first-child {
  transform: translateY(0);
}

.panel > *:last-child {
  transform: translateY(100%);
}
.panel.open-active > *:last-child {
  transform: translateY(0);
}

.panel p {
  text-transform: uppercase;
  font-family: "Amatic SC", cursive;
  text-shadow: 0 0 4px rgba(0, 0, 0, 0.72), 0 0 14px rgba(0, 0, 0, 0.45);
  padding: 30px;
  flex: 1;
}

.panel p:nth-child(2) {
  font-size: 4em;
}

.panel.open {
  font-size: 25px;
  flex: 3;
}

/*Exercise 6*/

.exsix {
  height: 300px;
  overflow-y: auto;
  overflow-x: hidden;
}

.search-form {
  max-width: 80%;
  margin: 50px auto;
}

input.search {
  margin: 6px;
  text-align: center;
  background-color: #f9fce1;
  border: 5px solid #251f44;
  border-top: 3px solid white;
  border-left: 3px solid white;
  color: #251f44;
  width: 80%;
  position: relative;
  top: 10px;
  z-index: 2;
  font-size: 20px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.12), inset 0 0 2px rgba(0, 0, 0, 0.19);
}

.suggestions {
  margin: 0;
  padding: 0;
  position: relative;
}

.suggestions li {
  background: white;
  list-style: none;
  border-bottom: 1px solid #d8d8d8;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.14);
  margin: 0 3%;
  padding: 20px;
  transition: background 0.2s;
  display: flex;
  justify-content: space-between;
  text-transform: capitalize;
}

.suggestions li:nth-child(even) {
  background: linear-gradient(to bottom, #fbd1b7 0%, #f9fce1 100%);
}

.suggestions li:nth-child(odd) {
  background: linear-gradient(to top, #f9fce1 0%, #fbd1b7 100%);
}

span.population {
  font-size: 15px;
}

/*footer*/
footer {
  font-family: monospace;
  margin-left: -5%;
  text-align: center;
}

h3 {
  font-family: "Press Start 2P", sans-serif;
  text-align: center;
}
h4 {
  font-family: "Press Start 2P", sans-serif;
  text-align: center;
}
